#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long long z=1000000007;
    int l;
    cin>>l;
    string s ;
    cin>>s;
    long long n = s.length();
    char nizc[n + 1];
    strcpy(nizc, s.c_str());
    int brp=0;
    int dupla=1;
    int trenutna=nizc[0];
    for(int i=0;i<n;i++)
        {
        if(i==trenutna)
        brp++;

        else
        {
        dupla=dupla*brp;
        trenutna=i
        brp=0
        }
         }
         long long rez=dupla%z;
         cout<<dupla;

}